Subject: [os2genau_digest] No. 442
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 5 Sep 2002 00:01:03 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 04 September 2002
 Number  442
**************************************************

Subjects for today
 
1  [os2genau] ECP parallel ports : Daryl Pilkington" <u3232 at home.dialix dot com>
2  Re: [os2genau] ECP parallel ports : Kris Steenhaut <kris.steenhaut at hccnet.nl>
3  Re: [os2genau] ECP parallel ports : Daryl Pilkington" <u3232 at home.dialix dot com>
4  Re: [os2genau] ECP parallel ports : Kris Steenhaut <kris.steenhaut at hccnet.nl>

**= Email   1 ==========================**

Date:  Wed, 04 Sep 2002 07:47:39 +1000 (EST)
From:  "Daryl Pilkington" <u3232 at home.dialix dot com>
Subject:  [os2genau] ECP parallel ports

Hi,
I want to put a 2nd PCI parallel port in my PC.
This will mean it has 2 ECP ports.
 
Do I need to use Par1284.sys to enable DMA & IRQ driven routines?
How will it assign a DMA for each port?
Can a DMA channel be shared between 2 ports?

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylp at pc-therapist dot com dot au
          Mob: 0425-251-300

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 04 Sep 2002 00:20:41 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re: [os2genau] ECP parallel ports

Daryl Pilkington schreef:

> Hi,
> I want to put a 2nd PCI parallel port in my PC.
> This will mean it has 2 ECP ports.
>
> Do I need to use Par1284.sys to enable DMA & IRQ driven routines?
>

No, on the contrary, part1284.sys can't see pci add-oncards. You only need one of the
latest print01.sys, such as:

27-03-01 11:33         13.886      0 a---  print01.sys

> How will it assign a DMA for each port?
>

It's pci, you don't have to bother about that.

--
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 04 Sep 2002 21:14:32 +1000 (EST)
From:  "Daryl Pilkington" <u3232 at home.dialix dot com>
Subject:  Re: [os2genau] ECP parallel ports

Thanks Kris,
Is par1284.sys obsolete now?
Does print01.sys support DMA, IRQ & bi-directional communication?

I'm looking at Hardware Manager & whilst my lpt port is using an IRQ,
it isn't using  DMA 3 or 0778-077B address used for an ECP port.

On Wed, 04 Sep 2002 00:20:41 +0200, Kris Steenhaut wrote:
>
>Daryl Pilkington schreef:
>
>> Hi,
>> I want to put a 2nd PCI parallel port in my PC.
>> This will mean it has 2 ECP ports.
>>
>> Do I need to use Par1284.sys to enable DMA & IRQ driven routines?
>>
>
>No, on the contrary, part1284.sys can't see pci add-oncards. You only need one of the
>latest print01.sys, such as:
>
>27-03-01 11:33         13.886      0 a---  print01.sys
>
>> How will it assign a DMA for each port?
>>
>It's pci, you don't have to bother about that.
>

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylp at pc-therapist dot com dot au
          Mob: 0425-251-300

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 04 Sep 2002 14:22:28 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re: [os2genau] ECP parallel ports

Daryl Pilkington schreef:

> Thanks Kris,
> Is par1284.sys obsolete now?
>

I've dumped it coz it doesn't know anything about pci cards.

> Does print01.sys support DMA, IRQ & bi-directional communication?
>

As I told, as it is PCI you shouldn't have to bother about irq/dma, bios says the pci card
is "a simple com device" or something like that.

About bi-directional communication, I'm not quite sure, but I think these latest
print01.sys are, and if you can use the function depends really on the quality of the
driver. In early days, my HP 970 Cxi only worked unidirectional, but with the latest omni
I can use the duplex thing, cleaning and adjust heads etc...  So I presume bi-directional
communication is there all right.

Incidentally, the par1284* file is already somewhere on the Warp4 GA CD, so it's an old
horse really.

>
> I'm looking at Hardware Manager & whilst my lpt port is using an IRQ,
>

Is it? You mean, you've forced it like that by the /irq switch in the config?

> it isn't using  DMA 3 or 0778-077B address used for an ECP port.
>

The pci add-on parallel card doesn't cost that much of money, does it? So, I suggest
you'll give it a try. Only, don't forget to omit the /irq switch in the config (imho the
/irq witch only is useful if you are on a 80-486 or something like that).

--
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------